import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  BatchPutMetricsRequest,
  BatchPutMetricsResponse,
} from "../models/models_0";
import {
  SageMakerMetricsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerMetricsClient";
export { __MetadataBearer };
export { $Command };
export interface BatchPutMetricsCommandInput extends BatchPutMetricsRequest {}
export interface BatchPutMetricsCommandOutput
  extends BatchPutMetricsResponse,
    __MetadataBearer {}
declare const BatchPutMetricsCommand_base: {
  new (
    input: BatchPutMetricsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    BatchPutMetricsCommandInput,
    BatchPutMetricsCommandOutput,
    SageMakerMetricsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: BatchPutMetricsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    BatchPutMetricsCommandInput,
    BatchPutMetricsCommandOutput,
    SageMakerMetricsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class BatchPutMetricsCommand extends BatchPutMetricsCommand_base {
  protected static __types: {
    api: {
      input: BatchPutMetricsRequest;
      output: BatchPutMetricsResponse;
    };
    sdk: {
      input: BatchPutMetricsCommandInput;
      output: BatchPutMetricsCommandOutput;
    };
  };
}
